commit: 03f247829ead18a2058c554888b0a35931f37d90
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 31 04:23:52 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 31 05:04:45 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03f24782
dev-python/pandas: Bump to 2.1.0 (broken)
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pandas/Manifest | 1 +
dev-python/pandas/pandas-2.1.0.ebuild | 135 ++++++++++++++++++++++++++++++++++
2 files changed, 136 insertions(+)
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index a10984c4cbe5..c35b3e096f7f 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -5,3 +5,4 @@ DIST pandas-2.0.0.tar.gz 5271334 BLAKE2B
80782f407cb93866ca445518f45ea36e081b789
DIST pandas-2.0.1.tar.gz 5279594 BLAKE2B
84dbab2c6079c77eb7f367aaabc2f4d0c8205a3d8bd2e4db9f071cf1d25c53a32f91679ae7ff56e21e76447a675b4f4e7c660708f3e2a7a56753137018239dd6
SHA512
ecb150045c82ef649fcdd940c3b45884f0f9f8a51402b331fc247c148f669fe7bece33b331d1ddac84b7fef39d096ad7488057d3772e74d087ea26bb9cac3994
DIST pandas-2.0.2.tar.gz 5290568 BLAKE2B
26eb9db6c1c2b4f9ae31b3aae09fc4db930d13e59b2037261eb2e3006a04402bc0a502febe29c0a3e071953bfbf4efac56eddf14bca2e22be0128e82d649a958
SHA512
feda98a2f83865d0ecb3fc2c37c927ddcd075f621954758eee26f1e9a0d9d1367ce790972f4ee3fb5928731ac157533345635fed390fdc306541047ab47fda60
DIST pandas-2.0.3.tar.gz 5284455 BLAKE2B
42db94dd031ca10c87434f4f903509abf0e6c2c3e3561ae5f5db6db09ebf95996aaa34e1f98a3e33f2b687c69dd1b38dc136d5928da2c096756b6755bf9b31c0
SHA512
bee3640521692545cb063b78c85f5ab90817c8029156f97856af4c9edfcc3e13596b48c4c1b4060c92e7e75b3b876d0734f7c1e3b2096d44c52ec09372c99d2e
+DIST pandas-2.1.0.tar.gz 4263970 BLAKE2B
cae30e74fa227252a4d05a032662f5229d676917720b7cca5a85d91a680f11bca7b0fb8ac79bdf1cd7f580aab99db1bd13571b86510516d10a74b1197abebbd1
SHA512
85a64ef7abffdb3a78547942dabfe621d7c8e2cf0da5285e64a9018865fadb037e030d5077a1790acecc1616200f50a777c6ab775b888a72d7fc36cd8855a704
diff --git a/dev-python/pandas/pandas-2.1.0.ebuild
b/dev-python/pandas/pandas-2.1.0.ebuild
new file mode 100644
index 000000000000..e29356941dd5
--- /dev/null
+++ b/dev-python/pandas/pandas-2.1.0.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="threads(+)"
+
+VIRTUALX_REQUIRED="manual"
+
+inherit distutils-r1 multiprocessing optfeature virtualx
+
+DESCRIPTION="Powerful data structures for data analysis and statistics"
+HOMEPAGE="
+ https://pandas.pydata.org/
+ https://github.com/pandas-dev/pandas/
+ https://pypi.org/project/pandas/
+"
+SRC_URI="
+
https://github.com/pandas-dev/pandas/releases/download/v${PV}/${P}.tar.gz
+"
+S=${WORKDIR}/${P/_/}
+
+SLOT="0"
+LICENSE="BSD"
+# new meson build that:
+# 1) sometimes fails on .pxi.in → .pyx ordering
+# 2) creates a broken wheel with two pandas/_libs/__init__.py files
+KEYWORDS=""
+IUSE="full-support minimal test X"
+RESTRICT="!test? ( test )"
+
+RECOMMENDED_DEPEND="
+ >=dev-python/bottleneck-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/numexpr-2.8.0[${PYTHON_USEDEP}]
+"
+
+# TODO: add pandas-gbq to the tree
+# TODO: Re-add dev-python/statsmodel[python3_11] dep once it supports
python3_11
+# https://github.com/statsmodels/statsmodels/issues/8287
+OPTIONAL_DEPEND="
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ dev-python/blosc[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.1.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-3.6.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/pytables-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.4.36[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.10[${PYTHON_USEDEP}]
+ >=dev-python/xarray-2022.3.0[${PYTHON_USEDEP}]
+ >=dev-python/xlrd-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0[${PYTHON_USEDEP}]
+ !hppa? (
+ $(python_gen_cond_dep '
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ ' python3_{8..10} )
+ >=dev-python/scipy-1.8.1[${PYTHON_USEDEP}]
+ )
+ X? (
+ || (
+ >=dev-python/PyQt5-5.15.6[${PYTHON_USEDEP}]
+ >=dev-python/QtPy-2.2.0[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+DEPEND="
+ >=dev-python/numpy-1.23.2[${PYTHON_USEDEP}]
+"
+COMMON_DEPEND="
+ ${DEPEND}
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${COMMON_DEPEND}
+ >=dev-python/cython-0.29.33[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ ${VIRTUALX_DEPEND}
+ ${RECOMMENDED_DEPEND}
+ ${OPTIONAL_DEPEND}
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.46.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.10[${PYTHON_USEDEP}]
+ >=dev-python/pymysql-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-7.3.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.17.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-2.9.3:2[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ dev-python/tzdata[${PYTHON_USEDEP}]
+ !minimal? ( ${RECOMMENDED_DEPEND} )
+ full-support? ( ${OPTIONAL_DEPEND} )
+"
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x LC_ALL=C.UTF-8
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die
+ epytest pandas --skip-slow --skip-network -m "not single" \
+ -n "$(makeopts_jobs)" || die "Tests failed with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "accelerating certain types of NaN evaluations, using
specialized cython routines to achieve large speedups." dev-python/bottleneck
+ optfeature "accelerating certain numerical operations, using multiple
cores as well as smart chunking and caching to achieve large speedups"
">=dev-python/numexpr-2.1"
+ optfeature "needed for pandas.io.html.read_html"
dev-python/beautifulsoup4 dev-python/html5lib dev-python/lxml
+ optfeature "for msgpack compression using blosc" dev-python/blosc
+ optfeature "Template engine for conditional HTML formatting"
dev-python/jinja
+ optfeature "Plotting support" dev-python/matplotlib
+ optfeature "Needed for Excel I/O" ">=dev-python/openpyxl-3.0.10"
dev-python/xlsxwriter dev-python/xlrd dev-python/xlwt
+ optfeature "necessary for HDF5-based storage"
">=dev-python/pytables-3.7.0"
+ optfeature "R I/O support" dev-python/rpy
+ optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
+ optfeature "SQL database support" ">=dev-python/sqlalchemy-1.4.36"
+ optfeature "miscellaneous statistical functions" dev-python/scipy
+ optfeature "necessary to use pandas.io.clipboard.read_clipboard
support" dev-python/PyQt5 dev-python/QtPy dev-python/pygtk x11-misc/xclip
x11-misc/xsel
+}